<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.55.10.9018
Name: Problem Observation Section
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.55.10.9018-2019-10-22T083604">
   <title>Problem Observation Section</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.9018
Context: //hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9018']]
Item: (ProblemObservationSection)
-->
   <rule fpi="RULC-1"
         context="//hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9018']]"
         id="d39e16461-false-d68866e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9018-2019-10-22T083604.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(ProblemObservationSection): de waarde van classCode MOET 'DOCSECT' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9018-2019-10-22T083604.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(ProblemObservationSection): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9018-2019-10-22T083604.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9018']) &gt;= 1">(ProblemObservationSection): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9018'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9018-2019-10-22T083604.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9018']) &lt;= 1">(ProblemObservationSection): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9018'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9018-2019-10-22T083604.html"
              test="count(hl7:code[(@code = '11450-4' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(ProblemObservationSection): element hl7:code[(@code = '11450-4' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9018-2019-10-22T083604.html"
              test="count(hl7:code[(@code = '11450-4' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(ProblemObservationSection): element hl7:code[(@code = '11450-4' and @codeSystem = '2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9018-2019-10-22T083604.html"
              test="count(hl7:text) &gt;= 1">(ProblemObservationSection): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9018-2019-10-22T083604.html"
              test="count(hl7:text) &lt;= 1">(ProblemObservationSection): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.9018
Context: //hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9018']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9018']
Item: (ProblemObservationSection)
-->
   <rule fpi="RULC-1"
         context="//hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9018']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9018']"
         id="d39e16467-false-d68944e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9018-2019-10-22T083604.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemObservationSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9018-2019-10-22T083604.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.11.60.55.10.9018')">(ProblemObservationSection): de waarde van root MOET '2.16.840.1.113883.2.4.3.11.60.55.10.9018' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.9018
Context: //hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9018']]/hl7:code[(@code = '11450-4' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (ProblemObservationSection)
-->
   <rule fpi="RULC-1"
         context="//hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9018']]/hl7:code[(@code = '11450-4' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d39e16472-false-d68964e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9018-2019-10-22T083604.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemObservationSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9018-2019-10-22T083604.html"
              test="string(@code) = ('11450-4')">(ProblemObservationSection): de waarde van code MOET '11450-4' zijn. Gevonden: "<value-of select="@code"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9018-2019-10-22T083604.html"
              test="@displayName">(ProblemObservationSection): attribute @displayName MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9018-2019-10-22T083604.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(ProblemObservationSection): attribuut @displayName MOET datatype 'st' hebben  - '<value-of select="@displayName"/>'</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9018-2019-10-22T083604.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.6.1')">(ProblemObservationSection): de waarde van codeSystem MOET '2.16.840.1.113883.6.1' zijn. Gevonden: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9018-2019-10-22T083604.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(ProblemObservationSection): attribuut @codeSystemName MOET datatype 'st' hebben  - '<value-of select="@codeSystemName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.9018
Context: //hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9018']]/hl7:text
Item: (ProblemObservationSection)
-->
   <rule fpi="RULC-1"
         context="//hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9018']]/hl7:text"
         id="d39e16487-false-d69005e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9018-2019-10-22T083604.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemObservationSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SD.TEXT" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.9018
Context: //hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9018']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.3.19']]]
Item: (ProblemObservationSection)
-->
   <rule fpi="RULC-1"
         context="//hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9018']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.3.19']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9018-2019-10-22T083604.html"
              test="string(@typeCode) = ('DRIV')">(ProblemObservationSection): de waarde van typeCode MOET 'DRIV' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9018-2019-10-22T083604.html"
              test="hl7:observation/hl7:code/@code='282291009' and hl7:observation/hl7:code/@codeSystem='2.16.840.1.113883.6.96'">(ProblemObservationSection): Gebruik code 282291009 (Diagnose) uit codeSysteem SNOMED-CT (2.16.840.1.113883.6.96) als code van de observation.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9018-2019-10-22T083604.html"
              test="hl7:observation/hl7:value/@codeSystem='2.16.840.1.113883.6.96' or hl7:observation/hl7:value/@codeSystem='2.16.840.1.113883.6.3.2'">(ProblemObservationSection): Gebruik codeSysteem SNOMED-CT (2.16.840.1.113883.6.96), of desnoods ICD-10 NL (2.16.840.1.113883.6.3.2) voor de codering van de diagnose</assert>
   </rule>
</pattern>
