<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
   <title>Schematron file for transaction Sturen terugrapportage SEH aan AMB (2.16.840.1.113883.2.4.3.11.60.55.4.26 2016-07-12T15:02:14)</title>
   <ns uri="urn:hl7-org:v3" prefix="hl7"/>
   <ns uri="urn:hl7-org:v3" prefix="cda"/>
   <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
   <ns uri="http://www.w3.org/2001/XMLSchema" prefix="xs"/>
   <!-- Add extra namespaces -->
   <ns uri="urn:ihe:pharm:medication" prefix="pharm"/>
   <ns uri="http://www.w3.org/XML/1998/namespace" prefix="xml"/>
   <ns uri="urn:hl7-org:sdtc" prefix="sdtc"/>
   <ns uri="urn:oid:1.3.6.1.4.1.19376.1.3.2" prefix="lab"/>
   <ns uri="urn:hl7-nl:v3" prefix="hl7nl"/>
   <ns uri="urn:urn:nictiz-nl:v3/nfu" prefix="nfu"/>
   <!-- Include realm specific schematron -->
   <!-- Include datatype abstract schematrons -->
   <pattern>
      <include href="include/DTr1_AD.sch"/>
      <include href="include/DTr1_AD.CA.sch"/>
      <include href="include/DTr1_AD.CA.BASIC.sch"/>
      <include href="include/DTr1_AD.DE.sch"/>
      <include href="include/DTr1_AD.EPSOS.sch"/>
      <include href="include/DTr1_AD.IPS.sch"/>
      <include href="include/DTr1_AD.NL.sch"/>
      <include href="include/DTr1_ADXP.sch"/>
      <include href="include/DTr1_ANY.sch"/>
      <include href="include/DTr1_BIN.sch"/>
      <include href="include/DTr1_BL.sch"/>
      <include href="include/DTr1_BN.sch"/>
      <include href="include/DTr1_BXIT_IVL_PQ.sch"/>
      <include href="include/DTr1_CD.sch"/>
      <include href="include/DTr1_CD.EPSOS.sch"/>
      <include href="include/DTr1_CD.IPS.sch"/>
      <include href="include/DTr1_CD.SDTC.sch"/>
      <include href="include/DTr1_CE.sch"/>
      <include href="include/DTr1_CE.EPSOS.sch"/>
      <include href="include/DTr1_CE.IPS.sch"/>
      <include href="include/DTr1_CO.sch"/>
      <include href="include/DTr1_CO.EPSOS.sch"/>
      <include href="include/DTr1_CR.sch"/>
      <include href="include/DTr1_CS.sch"/>
      <include href="include/DTr1_CS.LANG.sch"/>
      <include href="include/DTr1_CV.sch"/>
      <include href="include/DTr1_CV.EPSOS.sch"/>
      <include href="include/DTr1_CV.IPS.sch"/>
      <include href="include/DTr1_ED.sch"/>
      <include href="include/DTr1_EIVL.event.sch"/>
      <include href="include/DTr1_EIVL_TS.sch"/>
      <include href="include/DTr1_EN.sch"/>
      <include href="include/DTr1_ENXP.sch"/>
      <include href="include/DTr1_GLIST.sch"/>
      <include href="include/DTr1_GLIST_PQ.sch"/>
      <include href="include/DTr1_GLIST_TS.sch"/>
      <include href="include/DTr1_hl7nl-INT.sch"/>
      <include href="include/DTr1_hl7nl-IVL_QTY.sch"/>
      <include href="include/DTr1_hl7nl-IVL_TS.sch"/>
      <include href="include/DTr1_hl7nl-PIVL_TS.sch"/>
      <include href="include/DTr1_hl7nl-PQ.sch"/>
      <include href="include/DTr1_hl7nl-QSET_QTY.sch"/>
      <include href="include/DTr1_hl7nl-RTO.sch"/>
      <include href="include/DTr1_hl7nl-TS.sch"/>
      <include href="include/DTr1_II.sch"/>
      <include href="include/DTr1_II.AT.ATU.sch"/>
      <include href="include/DTr1_II.AT.BLZ.sch"/>
      <include href="include/DTr1_II.AT.DVR.sch"/>
      <include href="include/DTr1_II.AT.KTONR.sch"/>
      <include href="include/DTr1_II.EPSOS.sch"/>
      <include href="include/DTr1_II.NL.AGB.sch"/>
      <include href="include/DTr1_II.NL.BIG.sch"/>
      <include href="include/DTr1_II.NL.BSN.sch"/>
      <include href="include/DTr1_II.NL.URA.sch"/>
      <include href="include/DTr1_II.NL.UZI.sch"/>
      <include href="include/DTr1_INT.sch"/>
      <include href="include/DTr1_INT.NONNEG.sch"/>
      <include href="include/DTr1_INT.POS.sch"/>
      <include href="include/DTr1_IVL_INT.sch"/>
      <include href="include/DTr1_IVL_MO.sch"/>
      <include href="include/DTr1_IVL_PQ.sch"/>
      <include href="include/DTr1_IVL_REAL.sch"/>
      <include href="include/DTr1_IVL_TS.sch"/>
      <include href="include/DTr1_IVL_TS.CH.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_IVL_TS.IPS.TZ.sch"/>
      <include href="include/DTr1_IVXB_INT.sch"/>
      <include href="include/DTr1_IVXB_MO.sch"/>
      <include href="include/DTr1_IVXB_PQ.sch"/>
      <include href="include/DTr1_IVXB_REAL.sch"/>
      <include href="include/DTr1_IVXB_TS.sch"/>
      <include href="include/DTr1_list_int.sch"/>
      <include href="include/DTr1_MO.sch"/>
      <include href="include/DTr1_ON.sch"/>
      <include href="include/DTr1_PIVL_TS.sch"/>
      <include href="include/DTr1_PN.sch"/>
      <include href="include/DTr1_PN.CA.sch"/>
      <include href="include/DTr1_PN.NL.sch"/>
      <include href="include/DTr1_PQ.sch"/>
      <include href="include/DTr1_PQR.sch"/>
      <include href="include/DTr1_QTY.sch"/>
      <include href="include/DTr1_REAL.sch"/>
      <include href="include/DTr1_REAL.NONNEG.sch"/>
      <include href="include/DTr1_REAL.POS.sch"/>
      <include href="include/DTr1_RTO.sch"/>
      <include href="include/DTr1_RTO_PQ_PQ.sch"/>
      <include href="include/DTr1_RTO_QTY_QTY.sch"/>
      <include href="include/DTr1_SC.sch"/>
      <include href="include/DTr1_SD.TEXT.sch"/>
      <include href="include/DTr1_SLIST.sch"/>
      <include href="include/DTr1_SLIST_PQ.sch"/>
      <include href="include/DTr1_SLIST_TS.sch"/>
      <include href="include/DTr1_ST.sch"/>
      <include href="include/DTr1_SXCM_INT.sch"/>
      <include href="include/DTr1_SXCM_MO.sch"/>
      <include href="include/DTr1_SXCM_PQ.sch"/>
      <include href="include/DTr1_SXCM_REAL.sch"/>
      <include href="include/DTr1_SXCM_TS.sch"/>
      <include href="include/DTr1_SXPR_TS.sch"/>
      <include href="include/DTr1_TEL.sch"/>
      <include href="include/DTr1_TEL.AT.sch"/>
      <include href="include/DTr1_TEL.CA.EMAIL.sch"/>
      <include href="include/DTr1_TEL.CA.PHONE.sch"/>
      <include href="include/DTr1_TEL.EPSOS.sch"/>
      <include href="include/DTr1_TEL.IPS.sch"/>
      <include href="include/DTr1_TEL.NL.EXTENDED.sch"/>
      <include href="include/DTr1_thumbnail.sch"/>
      <include href="include/DTr1_TN.sch"/>
      <include href="include/DTr1_TS.sch"/>
      <include href="include/DTr1_TS.AT.TZ.sch"/>
      <include href="include/DTr1_TS.AT.VAR.sch"/>
      <include href="include/DTr1_TS.CH.TZ.sch"/>
      <include href="include/DTr1_TS.DATE.sch"/>
      <include href="include/DTr1_TS.DATE.FULL.sch"/>
      <include href="include/DTr1_TS.DATE.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIME.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIMETZ.MIN.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_TS.IPS.TZ.sch"/>
      <include href="include/DTr1_URL.sch"/>
      <include href="include/DTr1_URL.NL.EXTENDED.sch"/>
   </pattern>
   <!-- Include the project schematrons related to scenario Terugrapportage_SEH_AMB -->
   <!-- cda-SEH-ambu -->
   <pattern>
      <title>cda-SEH-ambu</title>
      <rule fpi="RUL-EXPEL" context="/">
         <assert role="warning"
                 test="descendant-or-self::hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9014']]"
                 see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9014-2019-09-02T135404.html">(cda-SEH-ambu): In de instance werd het volgende element verwacht: descendant-or-self::hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9014']]</assert>
      </rule>
   </pattern>
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.9014-2019-09-02T135404.sch"/>
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.9014-2019-09-02T135404-closed.sch"/>
   <!-- Create phases for more targeted validation on large instances -->
   <phase id="AllExceptClosed">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.9014-2019-09-02T135404"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.0.32-2018-06-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.3.19-2018-06-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.3.20-2018-06-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.412-2016-08-17T154620"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.413-2016-08-17T164249"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.414-2016-08-18T161920"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.415-2016-08-18T175411"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.416-2016-08-18T182732"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.417-2016-08-18T183647"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.418-2016-08-22T155135"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.419-2016-08-22T174044"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.420-2016-08-22T180256"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.9023-2020-12-10T101559"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.54-2019-05-31T125008"/>
   </phase>
   <phase id="cda-SEH-ambu">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.9014-2019-09-02T135404"/>
   </phase>
   <phase id="cda-SEH-ambu-closed">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.9014-2019-09-02T135404-closed"/>
   </phase>
   <phase id="toelichting">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.0.32-2018-06-11T000000"/>
   </phase>
   <phase id="problem_observation">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.3.19-2018-06-11T000000"/>
   </phase>
   <phase id="problem_status">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.3.20-2018-06-11T000000"/>
   </phase>
   <phase id="AmbulanceDriveSection">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.412-2016-08-17T154620"/>
   </phase>
   <phase id="AmbulanceTrip">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.413-2016-08-17T164249"/>
   </phase>
   <phase id="AmbulanceDispatchTime">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.414-2016-08-18T161920"/>
   </phase>
   <phase id="AmbulanceAtPatientTime">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.415-2016-08-18T175411"/>
   </phase>
   <phase id="AmbulanceDeparturePatient">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.416-2016-08-18T182732"/>
   </phase>
   <phase id="AmbulanceExpectedDestinationTime">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.417-2016-08-18T183647"/>
   </phase>
   <phase id="AmbulanceDestinationTime">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.418-2016-08-22T155135"/>
   </phase>
   <phase id="AmbulanceTripReleasedTime">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.419-2016-08-22T174044"/>
   </phase>
   <phase id="AmbulanceTransportKind">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.420-2016-08-22T180256"/>
   </phase>
   <phase id="AmbulanceExpectedAtPatientTime">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.9023-2020-12-10T101559"/>
   </phase>
   <phase id="problem_verificationstatus">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.7.10.54-2019-05-31T125008"/>
   </phase>
   <!-- Include schematrons from templates with explicit * or ** context (but no representing templates), only those used in scenario template -->
   <!-- toelichting -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.0.32-2018-06-11T000000.sch"/>
   <!-- problem_observation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.3.19-2018-06-11T000000.sch"/>
   <!-- problem_status -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.3.20-2018-06-11T000000.sch"/>
   <!-- AmbulanceDriveSection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.412-2016-08-17T154620.sch"/>
   <!-- AmbulanceTrip -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.413-2016-08-17T164249.sch"/>
   <!-- AmbulanceDispatchTime -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.414-2016-08-18T161920.sch"/>
   <!-- AmbulanceAtPatientTime -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.415-2016-08-18T175411.sch"/>
   <!-- AmbulanceDeparturePatient -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.416-2016-08-18T182732.sch"/>
   <!-- AmbulanceExpectedDestinationTime -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.417-2016-08-18T183647.sch"/>
   <!-- AmbulanceDestinationTime -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.418-2016-08-22T155135.sch"/>
   <!-- AmbulanceTripReleasedTime -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.419-2016-08-22T174044.sch"/>
   <!-- AmbulanceTransportKind -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.420-2016-08-22T180256.sch"/>
   <!-- AmbulanceExpectedAtPatientTime -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.9023-2020-12-10T101559.sch"/>
   <!-- problem_verificationstatus -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.7.10.54-2019-05-31T125008.sch"/>
</schema>
