<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
   <title>Schematron file for transaction Sturen overdracht AMB aan SEH (2.16.840.1.113883.2.4.3.11.60.55.4.23 2015-11-05T14:53:34)</title>
   <ns uri="urn:hl7-org:v3" prefix="hl7"/>
   <ns uri="urn:hl7-org:v3" prefix="cda"/>
   <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
   <ns uri="http://www.w3.org/2001/XMLSchema" prefix="xs"/>
   <!-- Add extra namespaces -->
   <ns uri="urn:ihe:pharm:medication" prefix="pharm"/>
   <ns uri="http://www.w3.org/XML/1998/namespace" prefix="xml"/>
   <ns uri="urn:hl7-org:sdtc" prefix="sdtc"/>
   <ns uri="urn:oid:1.3.6.1.4.1.19376.1.3.2" prefix="lab"/>
   <ns uri="urn:hl7-nl:v3" prefix="hl7nl"/>
   <ns uri="urn:urn:nictiz-nl:v3/nfu" prefix="nfu"/>
   <!-- Include realm specific schematron -->
   <!-- Include datatype abstract schematrons -->
   <pattern>
      <include href="include/DTr1_AD.sch"/>
      <include href="include/DTr1_AD.CA.sch"/>
      <include href="include/DTr1_AD.CA.BASIC.sch"/>
      <include href="include/DTr1_AD.DE.sch"/>
      <include href="include/DTr1_AD.EPSOS.sch"/>
      <include href="include/DTr1_AD.IPS.sch"/>
      <include href="include/DTr1_AD.NL.sch"/>
      <include href="include/DTr1_ADXP.sch"/>
      <include href="include/DTr1_ANY.sch"/>
      <include href="include/DTr1_BIN.sch"/>
      <include href="include/DTr1_BL.sch"/>
      <include href="include/DTr1_BN.sch"/>
      <include href="include/DTr1_BXIT_IVL_PQ.sch"/>
      <include href="include/DTr1_CD.sch"/>
      <include href="include/DTr1_CD.EPSOS.sch"/>
      <include href="include/DTr1_CD.IPS.sch"/>
      <include href="include/DTr1_CD.SDTC.sch"/>
      <include href="include/DTr1_CE.sch"/>
      <include href="include/DTr1_CE.EPSOS.sch"/>
      <include href="include/DTr1_CE.IPS.sch"/>
      <include href="include/DTr1_CO.sch"/>
      <include href="include/DTr1_CO.EPSOS.sch"/>
      <include href="include/DTr1_CR.sch"/>
      <include href="include/DTr1_CS.sch"/>
      <include href="include/DTr1_CS.LANG.sch"/>
      <include href="include/DTr1_CV.sch"/>
      <include href="include/DTr1_CV.EPSOS.sch"/>
      <include href="include/DTr1_CV.IPS.sch"/>
      <include href="include/DTr1_ED.sch"/>
      <include href="include/DTr1_EIVL.event.sch"/>
      <include href="include/DTr1_EIVL_TS.sch"/>
      <include href="include/DTr1_EN.sch"/>
      <include href="include/DTr1_ENXP.sch"/>
      <include href="include/DTr1_GLIST.sch"/>
      <include href="include/DTr1_GLIST_PQ.sch"/>
      <include href="include/DTr1_GLIST_TS.sch"/>
      <include href="include/DTr1_hl7nl-INT.sch"/>
      <include href="include/DTr1_hl7nl-IVL_QTY.sch"/>
      <include href="include/DTr1_hl7nl-IVL_TS.sch"/>
      <include href="include/DTr1_hl7nl-PIVL_TS.sch"/>
      <include href="include/DTr1_hl7nl-PQ.sch"/>
      <include href="include/DTr1_hl7nl-QSET_QTY.sch"/>
      <include href="include/DTr1_hl7nl-RTO.sch"/>
      <include href="include/DTr1_hl7nl-TS.sch"/>
      <include href="include/DTr1_II.sch"/>
      <include href="include/DTr1_II.AT.ATU.sch"/>
      <include href="include/DTr1_II.AT.BLZ.sch"/>
      <include href="include/DTr1_II.AT.DVR.sch"/>
      <include href="include/DTr1_II.AT.KTONR.sch"/>
      <include href="include/DTr1_II.EPSOS.sch"/>
      <include href="include/DTr1_II.NL.AGB.sch"/>
      <include href="include/DTr1_II.NL.BIG.sch"/>
      <include href="include/DTr1_II.NL.BSN.sch"/>
      <include href="include/DTr1_II.NL.URA.sch"/>
      <include href="include/DTr1_II.NL.UZI.sch"/>
      <include href="include/DTr1_INT.sch"/>
      <include href="include/DTr1_INT.NONNEG.sch"/>
      <include href="include/DTr1_INT.POS.sch"/>
      <include href="include/DTr1_IVL_INT.sch"/>
      <include href="include/DTr1_IVL_MO.sch"/>
      <include href="include/DTr1_IVL_PQ.sch"/>
      <include href="include/DTr1_IVL_REAL.sch"/>
      <include href="include/DTr1_IVL_TS.sch"/>
      <include href="include/DTr1_IVL_TS.CH.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_IVL_TS.IPS.TZ.sch"/>
      <include href="include/DTr1_IVXB_INT.sch"/>
      <include href="include/DTr1_IVXB_MO.sch"/>
      <include href="include/DTr1_IVXB_PQ.sch"/>
      <include href="include/DTr1_IVXB_REAL.sch"/>
      <include href="include/DTr1_IVXB_TS.sch"/>
      <include href="include/DTr1_list_int.sch"/>
      <include href="include/DTr1_MO.sch"/>
      <include href="include/DTr1_ON.sch"/>
      <include href="include/DTr1_PIVL_TS.sch"/>
      <include href="include/DTr1_PN.sch"/>
      <include href="include/DTr1_PN.CA.sch"/>
      <include href="include/DTr1_PN.NL.sch"/>
      <include href="include/DTr1_PQ.sch"/>
      <include href="include/DTr1_PQR.sch"/>
      <include href="include/DTr1_QTY.sch"/>
      <include href="include/DTr1_REAL.sch"/>
      <include href="include/DTr1_REAL.NONNEG.sch"/>
      <include href="include/DTr1_REAL.POS.sch"/>
      <include href="include/DTr1_RTO.sch"/>
      <include href="include/DTr1_RTO_PQ_PQ.sch"/>
      <include href="include/DTr1_RTO_QTY_QTY.sch"/>
      <include href="include/DTr1_SC.sch"/>
      <include href="include/DTr1_SD.TEXT.sch"/>
      <include href="include/DTr1_SLIST.sch"/>
      <include href="include/DTr1_SLIST_PQ.sch"/>
      <include href="include/DTr1_SLIST_TS.sch"/>
      <include href="include/DTr1_ST.sch"/>
      <include href="include/DTr1_SXCM_INT.sch"/>
      <include href="include/DTr1_SXCM_MO.sch"/>
      <include href="include/DTr1_SXCM_PQ.sch"/>
      <include href="include/DTr1_SXCM_REAL.sch"/>
      <include href="include/DTr1_SXCM_TS.sch"/>
      <include href="include/DTr1_SXPR_TS.sch"/>
      <include href="include/DTr1_TEL.sch"/>
      <include href="include/DTr1_TEL.AT.sch"/>
      <include href="include/DTr1_TEL.CA.EMAIL.sch"/>
      <include href="include/DTr1_TEL.CA.PHONE.sch"/>
      <include href="include/DTr1_TEL.EPSOS.sch"/>
      <include href="include/DTr1_TEL.IPS.sch"/>
      <include href="include/DTr1_TEL.NL.EXTENDED.sch"/>
      <include href="include/DTr1_thumbnail.sch"/>
      <include href="include/DTr1_TN.sch"/>
      <include href="include/DTr1_TS.sch"/>
      <include href="include/DTr1_TS.AT.TZ.sch"/>
      <include href="include/DTr1_TS.AT.VAR.sch"/>
      <include href="include/DTr1_TS.CH.TZ.sch"/>
      <include href="include/DTr1_TS.DATE.sch"/>
      <include href="include/DTr1_TS.DATE.FULL.sch"/>
      <include href="include/DTr1_TS.DATE.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIME.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIMETZ.MIN.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_TS.IPS.TZ.sch"/>
      <include href="include/DTr1_URL.sch"/>
      <include href="include/DTr1_URL.NL.EXTENDED.sch"/>
   </pattern>
   <!-- Include the project schematrons related to scenario Overdracht_AMB_SEH -->
   <!-- cda-ambu-SEH -->
   <pattern>
      <title>cda-ambu-SEH</title>
      <rule fpi="RUL-EXPEL" context="/">
         <assert role="warning"
                 test="descendant-or-self::hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.6']]"
                 see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.6-2016-07-26T165605.html">(cda-ambu-SEH): In de instance werd het volgende element verwacht: descendant-or-self::hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.6']]</assert>
      </rule>
   </pattern>
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.6-2016-07-26T165605.sch"/>
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.6-2016-07-26T165605-closed.sch"/>
   <!-- Create phases for more targeted validation on large instances -->
   <phase id="AllExceptClosed">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.6-2016-07-26T165605"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1100-2016-11-10T163432"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1102-2016-11-10T173356"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1103-2016-11-12T004037"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1104-2016-11-12T010113"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1105-2016-11-12T183851"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1106-2016-11-12T190237"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1107-2016-11-12T192531"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1108-2016-11-13T025802"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1109-2016-11-14T124307"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1110-2016-11-14T143030"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1111-2016-11-14T145102"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1112-2016-11-14T151650"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1113-2016-11-14T153341"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1115-2016-11-15T105508"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1116-2016-11-15T111523"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1117-2016-11-15T114045"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1118-2016-11-15T120804"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1119-2016-11-15T121942"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1120-2016-11-15T122848"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1126-2016-11-15T150630"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1127-2016-11-15T153655"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1128-2016-11-15T160101"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1129-2016-11-21T153230"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1131-2016-11-21T162616"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1132-2016-11-21T222641"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1133-2016-11-21T225517"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1134-2016-11-21T230427"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1135-2016-11-21T233007"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1136-2016-11-22T000242"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1137-2016-11-22T102031"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1138-2016-11-22T105624"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1139-2016-11-22T111648"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1140-2016-11-22T112547"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1141-2016-11-22T113502"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1142-2016-11-22T133749"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1143-2016-11-22T134733"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1144-2016-11-22T135649"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1145-2016-11-22T142114"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1146-2016-11-22T143058"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1147-2016-11-22T144051"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1148-2016-11-22T145042"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1149-2016-11-22T150942"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1150-2016-11-22T152634"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1151-2016-11-23T120618"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1152-2016-11-23T122759"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1153-2016-11-23T123838"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1155-2016-11-23T130829"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1156-2016-11-23T134202"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1157-2016-11-23T154811"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1158-2016-11-23T163444"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1159-2016-11-23T164720"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1160-2016-11-24T132617"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1161-2016-11-24T140810"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1162-2016-11-24T142952"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1163-2016-11-24T153042"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1164-2016-11-24T163017"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1165-2016-11-24T175424"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1166-2016-11-24T180925"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1170-2016-11-29T114853"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1171-2016-11-29T133712"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1172-2016-11-29T140216"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1173-2016-11-29T142832"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1174-2016-11-29T150321"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1175-2016-11-29T152547"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1176-2016-11-29T155530"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1177-2016-11-29T160758"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1178-2016-11-29T162404"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1180-2016-11-30T171949"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1181-2016-12-01T121948"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.207-2015-12-27T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.312-2015-12-27T000000"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.313-2016-11-02T130717"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.401-2016-08-03T165922"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.404-2016-08-04T154936"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.405-2016-08-04T170436"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.406-2016-08-04T182527"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.407-2016-08-08T162350"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.408-2016-08-08T164028"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.410-2016-08-10T164742"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.411-2016-08-10T170527"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.412-2016-08-17T154620"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.413-2016-08-17T164249"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.414-2016-08-18T161920"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.415-2016-08-18T175411"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.416-2016-08-18T182732"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.417-2016-08-18T183647"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.418-2016-08-22T155135"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.419-2016-08-22T174044"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.420-2016-08-22T180256"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.423-2016-08-25T144955"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.424-2016-08-30T175540"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.425-2016-08-30T183153"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.426-2016-08-31T152802"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.427-2016-08-31T160535"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.428-2016-09-01T142427"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.429-2016-09-07T155432"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.430-2016-09-07T162922"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.431-2016-09-07T173735"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.432-2016-09-12T171139"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.433-2016-09-12T173109"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.434-2016-09-13T104053"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.435-2016-09-13T114139"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.436-2016-09-13T120750"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.437-2016-09-13T122306"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.438-2016-09-13T161626"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.439-2016-09-13T170627"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.442-2016-09-14T151449"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.444-2016-09-28T101640"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.445-2016-09-28T134528"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.446-2016-09-28T142028"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.447-2016-09-29T142722"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.448-2016-09-29T145511"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.449-2016-10-05T160945"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.451-2016-10-05T162630"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.452-2016-10-05T164228"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.453-2016-10-05T165245"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.454-2016-10-06T124305"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.455-2016-10-06T130432"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.456-2016-10-06T134743"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.457-2016-10-06T150404"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.458-2016-10-06T162824"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.459-2016-10-06T171226"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.461-2016-10-17T142126"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.462-2016-10-17T153927"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.463-2016-10-17T170616"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.464-2016-10-18T144132"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.465-2016-10-18T164737"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.466-2016-10-19T115256"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.467-2016-10-19T120215"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.468-2016-10-19T131126"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.469-2016-10-19T132924"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.470-2016-10-19T135153"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.471-2016-10-19T143037"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.472-2016-10-19T150826"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.473-2016-10-19T154549"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.474-2016-10-19T163102"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.475-2016-10-19T164229"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.476-2016-10-19T165448"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.477-2016-10-19T171259"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.478-2016-10-19T172253"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.479-2016-11-07T161255"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.480-2016-11-07T162354"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.481-2016-11-08T123630"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.482-2016-11-08T125231"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.484-2016-11-08T143907"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.485-2016-11-08T151534"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.486-2016-11-08T160438"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.487-2016-11-08T161559"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.488-2016-11-08T165311"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.489-2016-11-08T171154"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.490-2016-11-09T131839"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.491-2016-11-09T133039"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.492-2016-11-09T161009"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.493-2016-11-09T161600"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.494-2016-11-09T163509"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.495-2016-11-09T164700"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.496-2016-11-09T173232"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.497-2016-11-09T174447"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.498-2016-11-09T182839"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.499-2016-11-09T185619"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.9002-2017-02-08T173011"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.9003-2017-02-09T134124"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.9004-2017-02-09T143001"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.9005-2017-02-09T163847"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.9006-2017-04-11T172205"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.9007-2017-07-18T175138"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.9023-2020-12-10T101559"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.9026-2021-02-16T133958"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.9027-2021-02-18T091714"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.9028-2021-02-22T104038"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.9029-2021-02-22T104734"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.9030-2021-02-22T112246"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.66.10.221-2015-06-01T000000"/>
   </phase>
   <phase id="cda-ambu-SEH">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.6-2016-07-26T165605"/>
   </phase>
   <phase id="cda-ambu-SEH-closed">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.6-2016-07-26T165605-closed"/>
   </phase>
   <phase id="MeasurementsSection">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1100-2016-11-10T163432"/>
   </phase>
   <phase id="Saturation">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1102-2016-11-10T173356"/>
   </phase>
   <phase id="Capnometry">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1103-2016-11-12T004037"/>
   </phase>
   <phase id="HeartRate">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1104-2016-11-12T010113"/>
   </phase>
   <phase id="BloodPressure">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1105-2016-11-12T183851"/>
   </phase>
   <phase id="SystolicBloodPressure">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1106-2016-11-12T190237"/>
   </phase>
   <phase id="DiastolicBloodPressure">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1107-2016-11-12T192531"/>
   </phase>
   <phase id="BodyTemperature">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1108-2016-11-13T025802"/>
   </phase>
   <phase id="Respiration">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1109-2016-11-14T124307"/>
   </phase>
   <phase id="GlasgowComaScale">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1110-2016-11-14T143030"/>
   </phase>
   <phase id="GCSEyes">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1111-2016-11-14T145102"/>
   </phase>
   <phase id="GCSMotor">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1112-2016-11-14T151650"/>
   </phase>
   <phase id="GCSVerbal">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1113-2016-11-14T153341"/>
   </phase>
   <phase id="RevisedTraumaScore">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1115-2016-11-15T105508"/>
   </phase>
   <phase id="PediatricTraumaScore">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1116-2016-11-15T111523"/>
   </phase>
   <phase id="Pain">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1117-2016-11-15T114045"/>
   </phase>
   <phase id="APGAR">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1118-2016-11-15T120804"/>
   </phase>
   <phase id="APGAR-1">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1119-2016-11-15T121942"/>
   </phase>
   <phase id="APGAR-5">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1120-2016-11-15T122848"/>
   </phase>
   <phase id="HeartRhythm">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1126-2016-11-15T150630"/>
   </phase>
   <phase id="AnnotationCommentHeartRhythm">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1127-2016-11-15T153655"/>
   </phase>
   <phase id="BloodSugarLevel">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1128-2016-11-15T160101"/>
   </phase>
   <phase id="TreatmentSection">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1129-2016-11-21T153230"/>
   </phase>
   <phase id="BreathingAndVentilation">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1131-2016-11-21T162616"/>
   </phase>
   <phase id="CounsciousnessAndNeurologicalStatus">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1132-2016-11-21T222641"/>
   </phase>
   <phase id="OtherDiagnosticTreatment">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1133-2016-11-21T225517"/>
   </phase>
   <phase id="AirwayManagement">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1134-2016-11-21T230427"/>
   </phase>
   <phase id="DifficultIntubation">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1135-2016-11-21T233007"/>
   </phase>
   <phase id="OxygenationAndVentilation">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1136-2016-11-22T000242"/>
   </phase>
   <phase id="BreathingMachineFiO2">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1137-2016-11-22T102031"/>
   </phase>
   <phase id="BreathingMachineAMV">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1138-2016-11-22T105624"/>
   </phase>
   <phase id="BreathingMachineFreq">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1139-2016-11-22T111648"/>
   </phase>
   <phase id="BreathingMachinePeep">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1140-2016-11-22T112547"/>
   </phase>
   <phase id="OxygenAmount">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1141-2016-11-22T113502"/>
   </phase>
   <phase id="CirculationTherapeutic">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1142-2016-11-22T133749"/>
   </phase>
   <phase id="PacemakerFrequency">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1143-2016-11-22T134733"/>
   </phase>
   <phase id="PacemakerCurrent">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1144-2016-11-22T135649"/>
   </phase>
   <phase id="PacemakerModus">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1145-2016-11-22T142114"/>
   </phase>
   <phase id="Cardioversion">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1146-2016-11-22T143058"/>
   </phase>
   <phase id="CardioversionMaxEnergy">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1147-2016-11-22T144051"/>
   </phase>
   <phase id="DefiblirationsNumber">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1148-2016-11-22T145042"/>
   </phase>
   <phase id="ReturnOfSpontaneousCirculation">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1149-2016-11-22T150942"/>
   </phase>
   <phase id="AED">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1150-2016-11-22T152634"/>
   </phase>
   <phase id="Traumatology">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1151-2016-11-23T120618"/>
   </phase>
   <phase id="CoolingTime">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1152-2016-11-23T122759"/>
   </phase>
   <phase id="ObstericsTreatment">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1153-2016-11-23T123838"/>
   </phase>
   <phase id="IsolationKind">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1155-2016-11-23T130829"/>
   </phase>
   <phase id="MedicationUsed">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1156-2016-11-23T134202"/>
   </phase>
   <phase id="MedicationName">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1157-2016-11-23T154811"/>
   </phase>
   <phase id="MedicationAdministartionProcedure">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1158-2016-11-23T163444"/>
   </phase>
   <phase id="IVMedicationSpeed">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1159-2016-11-23T164720"/>
   </phase>
   <phase id="Drip">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1160-2016-11-24T132617"/>
   </phase>
   <phase id="DripNumber">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1161-2016-11-24T140810"/>
   </phase>
   <phase id="DripData">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1162-2016-11-24T142952"/>
   </phase>
   <phase id="DripFluidName">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1163-2016-11-24T153042"/>
   </phase>
   <phase id="ExtraInformationTreatments">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1164-2016-11-24T163017"/>
   </phase>
   <phase id="TransportationSEHSection">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1165-2016-11-24T175424"/>
   </phase>
   <phase id="TransportationActSEH">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1166-2016-11-24T180925"/>
   </phase>
   <phase id="Urgency">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1170-2016-11-29T114853"/>
   </phase>
   <phase id="PatientTransported">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1171-2016-11-29T133712"/>
   </phase>
   <phase id="ReasonNoTransportation">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1172-2016-11-29T140216"/>
   </phase>
   <phase id="AdviceTreatmentDuringTransportation">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1173-2016-11-29T142832"/>
   </phase>
   <phase id="DateOfDeath">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1174-2016-11-29T150321"/>
   </phase>
   <phase id="NoReanimationStatement">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1175-2016-11-29T152547"/>
   </phase>
   <phase id="Trial">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1176-2016-11-29T155530"/>
   </phase>
   <phase id="InjuredNumber">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1177-2016-11-29T160758"/>
   </phase>
   <phase id="TriageClass">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1178-2016-11-29T162404"/>
   </phase>
   <phase id="AttachmentsSection">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1180-2016-11-30T171949"/>
   </phase>
   <phase id="AttachmentMedia">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.1181-2016-12-01T121948"/>
   </phase>
   <phase id="PhysicalFindingSection">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.207-2015-12-27T000000"/>
   </phase>
   <phase id="AgeObservation">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.312-2015-12-27T000000"/>
   </phase>
   <phase id="FeedbackTransportation">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.313-2016-11-02T130717"/>
   </phase>
   <phase id="WIDObservation">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.401-2016-08-03T165922"/>
   </phase>
   <phase id="WIDControlSection">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.404-2016-08-04T154936"/>
   </phase>
   <phase id="DateOfEvent">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.405-2016-08-04T170436"/>
   </phase>
   <phase id="IncidentSection">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.406-2016-08-04T182527"/>
   </phase>
   <phase id="EmergencyNotificationSection">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.407-2016-08-08T162350"/>
   </phase>
   <phase id="Notification">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.408-2016-08-08T164028"/>
   </phase>
   <phase id="BOPZFacility">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.410-2016-08-10T164742"/>
   </phase>
   <phase id="PlannedArriveTime">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.411-2016-08-10T170527"/>
   </phase>
   <phase id="AmbulanceDriveSection">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.412-2016-08-17T154620"/>
   </phase>
   <phase id="AmbulanceTrip">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.413-2016-08-17T164249"/>
   </phase>
   <phase id="AmbulanceDispatchTime">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.414-2016-08-18T161920"/>
   </phase>
   <phase id="AmbulanceAtPatientTime">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.415-2016-08-18T175411"/>
   </phase>
   <phase id="AmbulanceDeparturePatient">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.416-2016-08-18T182732"/>
   </phase>
   <phase id="AmbulanceExpectedDestinationTime">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.417-2016-08-18T183647"/>
   </phase>
   <phase id="AmbulanceDestinationTime">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.418-2016-08-22T155135"/>
   </phase>
   <phase id="AmbulanceTripReleasedTime">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.419-2016-08-22T174044"/>
   </phase>
   <phase id="AmbulanceTransportKind">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.420-2016-08-22T180256"/>
   </phase>
   <phase id="AnnotationCommentAmbulance">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.423-2016-08-25T144955"/>
   </phase>
   <phase id="MedicalConditionWorkingDiagnosisSection">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.424-2016-08-30T175540"/>
   </phase>
   <phase id="MedicalCondition">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.425-2016-08-30T183153"/>
   </phase>
   <phase id="PatientPositionSection">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.426-2016-08-31T152802"/>
   </phase>
   <phase id="TypePatientPosition">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.427-2016-08-31T160535"/>
   </phase>
   <phase id="AgreementsWithPatientSection">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.428-2016-09-01T142427"/>
   </phase>
   <phase id="ConsentSection">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.429-2016-09-07T155432"/>
   </phase>
   <phase id="ClinicalTrialPatientConsent">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.430-2016-09-07T162922"/>
   </phase>
   <phase id="NextOfKinPatientConsent">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.431-2016-09-07T173735"/>
   </phase>
   <phase id="MechanismSection">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.432-2016-09-12T171139"/>
   </phase>
   <phase id="MechanismType">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.433-2016-09-12T173109"/>
   </phase>
   <phase id="TransportVehiclePatient">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.434-2016-09-13T104053"/>
   </phase>
   <phase id="VehicleDriver">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.435-2016-09-13T114139"/>
   </phase>
   <phase id="StructuralBarrier">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.436-2016-09-13T120750"/>
   </phase>
   <phase id="BodyProtection">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.437-2016-09-13T122306"/>
   </phase>
   <phase id="ConsultingExternalProfessionalSection">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.438-2016-09-13T161626"/>
   </phase>
   <phase id="Consultation">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.439-2016-09-13T170627"/>
   </phase>
   <phase id="AgreementsWithExternalProfessional">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.442-2016-09-14T151449"/>
   </phase>
   <phase id="PrimarySurveySection">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.444-2016-09-28T101640"/>
   </phase>
   <phase id="PrimarySurveyExam">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.445-2016-09-28T134528"/>
   </phase>
   <phase id="Airway">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.446-2016-09-28T142028"/>
   </phase>
   <phase id="BreathingSufficient">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.447-2016-09-29T142722"/>
   </phase>
   <phase id="BreathingObservations">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.448-2016-09-29T145511"/>
   </phase>
   <phase id="Breathing">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.449-2016-10-05T160945"/>
   </phase>
   <phase id="CirculationSufficient">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.451-2016-10-05T162630"/>
   </phase>
   <phase id="CapillaireRefill">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.452-2016-10-05T164228"/>
   </phase>
   <phase id="SkinObservation">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.453-2016-10-05T165245"/>
   </phase>
   <phase id="Disability">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.454-2016-10-06T124305"/>
   </phase>
   <phase id="AVPU">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.455-2016-10-06T130432"/>
   </phase>
   <phase id="UnconsciousnessTime">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.456-2016-10-06T134743"/>
   </phase>
   <phase id="pupil_observation">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.457-2016-10-06T150404"/>
   </phase>
   <phase id="FASTSymptoms">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.458-2016-10-06T162824"/>
   </phase>
   <phase id="Intoxication">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.459-2016-10-06T171226"/>
   </phase>
   <phase id="SecundarySurveySection">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.461-2016-10-17T142126"/>
   </phase>
   <phase id="SecondarySurveyExam">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.462-2016-10-17T153927"/>
   </phase>
   <phase id="Anamnesis">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.463-2016-10-17T170616"/>
   </phase>
   <phase id="Ample">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.464-2016-10-18T144132"/>
   </phase>
   <phase id="InfectionRisk">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.465-2016-10-18T164737"/>
   </phase>
   <phase id="HeadAndFace">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.466-2016-10-19T115256"/>
   </phase>
   <phase id="HeadAndFaceObservations">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.467-2016-10-19T120215"/>
   </phase>
   <phase id="LossOfBlood">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.468-2016-10-19T131126"/>
   </phase>
   <phase id="LossOfLiquor">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.469-2016-10-19T132924"/>
   </phase>
   <phase id="PainLocation">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.470-2016-10-19T135153"/>
   </phase>
   <phase id="Wound">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.471-2016-10-19T143037"/>
   </phase>
   <phase id="NeckThroatCWK">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.472-2016-10-19T150826"/>
   </phase>
   <phase id="NeckThroatCWKObservations">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.473-2016-10-19T154549"/>
   </phase>
   <phase id="Thorax">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.474-2016-10-19T163102"/>
   </phase>
   <phase id="ThoraxObservations">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.475-2016-10-19T164229"/>
   </phase>
   <phase id="PainByCompression">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.476-2016-10-19T165448"/>
   </phase>
   <phase id="SubcutaanEmphysemaLocation">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.477-2016-10-19T171259"/>
   </phase>
   <phase id="Swelling-OedemaLocation">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.478-2016-10-19T172253"/>
   </phase>
   <phase id="Back">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.479-2016-11-07T161255"/>
   </phase>
   <phase id="BackObservations">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.480-2016-11-07T162354"/>
   </phase>
   <phase id="Abdomen">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.481-2016-11-08T123630"/>
   </phase>
   <phase id="AbdomenObservations">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.482-2016-11-08T125231"/>
   </phase>
   <phase id="AbdomenLocation">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.484-2016-11-08T143907"/>
   </phase>
   <phase id="PulsatingSwellingLocation">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.485-2016-11-08T151534"/>
   </phase>
   <phase id="Pelvis">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.486-2016-11-08T160438"/>
   </phase>
   <phase id="PelvisObservations">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.487-2016-11-08T161559"/>
   </phase>
   <phase id="ArmsExtremity">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.488-2016-11-08T165311"/>
   </phase>
   <phase id="ArmsExtremityObservations">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.489-2016-11-08T171154"/>
   </phase>
   <phase id="LegsExtremity">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.490-2016-11-09T131839"/>
   </phase>
   <phase id="LegsExtremityObservations">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.491-2016-11-09T133039"/>
   </phase>
   <phase id="Excretion">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.492-2016-11-09T161009"/>
   </phase>
   <phase id="ExcretionObservations">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.493-2016-11-09T161600"/>
   </phase>
   <phase id="Vormiting">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.494-2016-11-09T163509"/>
   </phase>
   <phase id="Incontinent">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.495-2016-11-09T164700"/>
   </phase>
   <phase id="Obstetrics">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.496-2016-11-09T173232"/>
   </phase>
   <phase id="ObstetricsObservations">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.497-2016-11-09T174447"/>
   </phase>
   <phase id="AmnioticFluidLeaking">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.498-2016-11-09T182839"/>
   </phase>
   <phase id="Contractions">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.499-2016-11-09T185619"/>
   </phase>
   <phase id="PlannedPickUpTime">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.9002-2017-02-08T173011"/>
   </phase>
   <phase id="GPInformed">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.9003-2017-02-09T134124"/>
   </phase>
   <phase id="AgreementsWithPatient">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.9004-2017-02-09T143001"/>
   </phase>
   <phase id="DefibrillationEnergie">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.9005-2017-02-09T163847"/>
   </phase>
   <phase id="Insurance">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.9006-2017-04-11T172205"/>
   </phase>
   <phase id="InsuranceValid">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.9007-2017-07-18T175138"/>
   </phase>
   <phase id="AmbulanceExpectedAtPatientTime">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.9023-2020-12-10T101559"/>
   </phase>
   <phase id="Trombolysis">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.9026-2021-02-16T133958"/>
   </phase>
   <phase id="StartInvoluntaryCare">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.9027-2021-02-18T091714"/>
   </phase>
   <phase id="ArmSingleExtremity">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.9028-2021-02-22T104038"/>
   </phase>
   <phase id="Laterality">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.9029-2021-02-22T104734"/>
   </phase>
   <phase id="LegSingleExtremity">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.55.10.9030-2021-02-22T112246"/>
   </phase>
   <phase id="kezo-Note">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.66.10.221-2015-06-01T000000"/>
   </phase>
   <!-- Include schematrons from templates with explicit * or ** context (but no representing templates), only those used in scenario template -->
   <!-- MeasurementsSection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1100-2016-11-10T163432.sch"/>
   <!-- Saturation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1102-2016-11-10T173356.sch"/>
   <!-- Capnometry -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1103-2016-11-12T004037.sch"/>
   <!-- HeartRate -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1104-2016-11-12T010113.sch"/>
   <!-- BloodPressure -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1105-2016-11-12T183851.sch"/>
   <!-- SystolicBloodPressure -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1106-2016-11-12T190237.sch"/>
   <!-- DiastolicBloodPressure -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1107-2016-11-12T192531.sch"/>
   <!-- BodyTemperature -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1108-2016-11-13T025802.sch"/>
   <!-- Respiration -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1109-2016-11-14T124307.sch"/>
   <!-- GlasgowComaScale -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1110-2016-11-14T143030.sch"/>
   <!-- GCSEyes -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1111-2016-11-14T145102.sch"/>
   <!-- GCSMotor -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1112-2016-11-14T151650.sch"/>
   <!-- GCSVerbal -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1113-2016-11-14T153341.sch"/>
   <!-- RevisedTraumaScore -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1115-2016-11-15T105508.sch"/>
   <!-- PediatricTraumaScore -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1116-2016-11-15T111523.sch"/>
   <!-- Pain -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1117-2016-11-15T114045.sch"/>
   <!-- APGAR -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1118-2016-11-15T120804.sch"/>
   <!-- APGAR-1 -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1119-2016-11-15T121942.sch"/>
   <!-- APGAR-5 -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1120-2016-11-15T122848.sch"/>
   <!-- HeartRhythm -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1126-2016-11-15T150630.sch"/>
   <!-- AnnotationCommentHeartRhythm -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1127-2016-11-15T153655.sch"/>
   <!-- BloodSugarLevel -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1128-2016-11-15T160101.sch"/>
   <!-- TreatmentSection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1129-2016-11-21T153230.sch"/>
   <!-- BreathingAndVentilation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1131-2016-11-21T162616.sch"/>
   <!-- CounsciousnessAndNeurologicalStatus -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1132-2016-11-21T222641.sch"/>
   <!-- OtherDiagnosticTreatment -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1133-2016-11-21T225517.sch"/>
   <!-- AirwayManagement -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1134-2016-11-21T230427.sch"/>
   <!-- DifficultIntubation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1135-2016-11-21T233007.sch"/>
   <!-- OxygenationAndVentilation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1136-2016-11-22T000242.sch"/>
   <!-- BreathingMachineFiO2 -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1137-2016-11-22T102031.sch"/>
   <!-- BreathingMachineAMV -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1138-2016-11-22T105624.sch"/>
   <!-- BreathingMachineFreq -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1139-2016-11-22T111648.sch"/>
   <!-- BreathingMachinePeep -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1140-2016-11-22T112547.sch"/>
   <!-- OxygenAmount -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1141-2016-11-22T113502.sch"/>
   <!-- CirculationTherapeutic -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1142-2016-11-22T133749.sch"/>
   <!-- PacemakerFrequency -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1143-2016-11-22T134733.sch"/>
   <!-- PacemakerCurrent -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1144-2016-11-22T135649.sch"/>
   <!-- PacemakerModus -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1145-2016-11-22T142114.sch"/>
   <!-- Cardioversion -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1146-2016-11-22T143058.sch"/>
   <!-- CardioversionMaxEnergy -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1147-2016-11-22T144051.sch"/>
   <!-- DefiblirationsNumber -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1148-2016-11-22T145042.sch"/>
   <!-- ReturnOfSpontaneousCirculation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1149-2016-11-22T150942.sch"/>
   <!-- AED -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1150-2016-11-22T152634.sch"/>
   <!-- Traumatology -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1151-2016-11-23T120618.sch"/>
   <!-- CoolingTime -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1152-2016-11-23T122759.sch"/>
   <!-- ObstericsTreatment -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1153-2016-11-23T123838.sch"/>
   <!-- IsolationKind -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1155-2016-11-23T130829.sch"/>
   <!-- MedicationUsed -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1156-2016-11-23T134202.sch"/>
   <!-- MedicationName -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1157-2016-11-23T154811.sch"/>
   <!-- MedicationAdministartionProcedure -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1158-2016-11-23T163444.sch"/>
   <!-- IVMedicationSpeed -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1159-2016-11-23T164720.sch"/>
   <!-- Drip -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1160-2016-11-24T132617.sch"/>
   <!-- DripNumber -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1161-2016-11-24T140810.sch"/>
   <!-- DripData -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1162-2016-11-24T142952.sch"/>
   <!-- DripFluidName -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1163-2016-11-24T153042.sch"/>
   <!-- ExtraInformationTreatments -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1164-2016-11-24T163017.sch"/>
   <!-- TransportationSEHSection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1165-2016-11-24T175424.sch"/>
   <!-- TransportationActSEH -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1166-2016-11-24T180925.sch"/>
   <!-- Urgency -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1170-2016-11-29T114853.sch"/>
   <!-- PatientTransported -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1171-2016-11-29T133712.sch"/>
   <!-- ReasonNoTransportation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1172-2016-11-29T140216.sch"/>
   <!-- AdviceTreatmentDuringTransportation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1173-2016-11-29T142832.sch"/>
   <!-- DateOfDeath -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1174-2016-11-29T150321.sch"/>
   <!-- NoReanimationStatement -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1175-2016-11-29T152547.sch"/>
   <!-- Trial -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1176-2016-11-29T155530.sch"/>
   <!-- InjuredNumber -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1177-2016-11-29T160758.sch"/>
   <!-- TriageClass -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1178-2016-11-29T162404.sch"/>
   <!-- AttachmentsSection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1180-2016-11-30T171949.sch"/>
   <!-- AttachmentMedia -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1181-2016-12-01T121948.sch"/>
   <!-- PhysicalFindingSection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.207-2015-12-27T000000.sch"/>
   <!-- AgeObservation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.312-2015-12-27T000000.sch"/>
   <!-- FeedbackTransportation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.313-2016-11-02T130717.sch"/>
   <!-- WIDObservation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.401-2016-08-03T165922.sch"/>
   <!-- WIDControlSection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.404-2016-08-04T154936.sch"/>
   <!-- DateOfEvent -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.405-2016-08-04T170436.sch"/>
   <!-- IncidentSection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.406-2016-08-04T182527.sch"/>
   <!-- EmergencyNotificationSection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.407-2016-08-08T162350.sch"/>
   <!-- Notification -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.408-2016-08-08T164028.sch"/>
   <!-- BOPZFacility -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.410-2016-08-10T164742.sch"/>
   <!-- PlannedArriveTime -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.411-2016-08-10T170527.sch"/>
   <!-- AmbulanceDriveSection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.412-2016-08-17T154620.sch"/>
   <!-- AmbulanceTrip -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.413-2016-08-17T164249.sch"/>
   <!-- AmbulanceDispatchTime -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.414-2016-08-18T161920.sch"/>
   <!-- AmbulanceAtPatientTime -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.415-2016-08-18T175411.sch"/>
   <!-- AmbulanceDeparturePatient -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.416-2016-08-18T182732.sch"/>
   <!-- AmbulanceExpectedDestinationTime -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.417-2016-08-18T183647.sch"/>
   <!-- AmbulanceDestinationTime -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.418-2016-08-22T155135.sch"/>
   <!-- AmbulanceTripReleasedTime -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.419-2016-08-22T174044.sch"/>
   <!-- AmbulanceTransportKind -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.420-2016-08-22T180256.sch"/>
   <!-- AnnotationCommentAmbulance -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.423-2016-08-25T144955.sch"/>
   <!-- MedicalConditionWorkingDiagnosisSection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.424-2016-08-30T175540.sch"/>
   <!-- MedicalCondition -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.425-2016-08-30T183153.sch"/>
   <!-- PatientPositionSection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.426-2016-08-31T152802.sch"/>
   <!-- TypePatientPosition -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.427-2016-08-31T160535.sch"/>
   <!-- AgreementsWithPatientSection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.428-2016-09-01T142427.sch"/>
   <!-- ConsentSection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.429-2016-09-07T155432.sch"/>
   <!-- ClinicalTrialPatientConsent -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.430-2016-09-07T162922.sch"/>
   <!-- NextOfKinPatientConsent -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.431-2016-09-07T173735.sch"/>
   <!-- MechanismSection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.432-2016-09-12T171139.sch"/>
   <!-- MechanismType -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.433-2016-09-12T173109.sch"/>
   <!-- TransportVehiclePatient -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.434-2016-09-13T104053.sch"/>
   <!-- VehicleDriver -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.435-2016-09-13T114139.sch"/>
   <!-- StructuralBarrier -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.436-2016-09-13T120750.sch"/>
   <!-- BodyProtection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.437-2016-09-13T122306.sch"/>
   <!-- ConsultingExternalProfessionalSection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.438-2016-09-13T161626.sch"/>
   <!-- Consultation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.439-2016-09-13T170627.sch"/>
   <!-- AgreementsWithExternalProfessional -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.442-2016-09-14T151449.sch"/>
   <!-- PrimarySurveySection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.444-2016-09-28T101640.sch"/>
   <!-- PrimarySurveyExam -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.445-2016-09-28T134528.sch"/>
   <!-- Airway -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.446-2016-09-28T142028.sch"/>
   <!-- BreathingSufficient -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.447-2016-09-29T142722.sch"/>
   <!-- BreathingObservations -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.448-2016-09-29T145511.sch"/>
   <!-- Breathing -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.449-2016-10-05T160945.sch"/>
   <!-- CirculationSufficient -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.451-2016-10-05T162630.sch"/>
   <!-- CapillaireRefill -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.452-2016-10-05T164228.sch"/>
   <!-- SkinObservation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.453-2016-10-05T165245.sch"/>
   <!-- Disability -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.454-2016-10-06T124305.sch"/>
   <!-- AVPU -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.455-2016-10-06T130432.sch"/>
   <!-- UnconsciousnessTime -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.456-2016-10-06T134743.sch"/>
   <!-- pupil_observation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.457-2016-10-06T150404.sch"/>
   <!-- FASTSymptoms -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.458-2016-10-06T162824.sch"/>
   <!-- Intoxication -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.459-2016-10-06T171226.sch"/>
   <!-- SecundarySurveySection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.461-2016-10-17T142126.sch"/>
   <!-- SecondarySurveyExam -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.462-2016-10-17T153927.sch"/>
   <!-- Anamnesis -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.463-2016-10-17T170616.sch"/>
   <!-- Ample -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.464-2016-10-18T144132.sch"/>
   <!-- InfectionRisk -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.465-2016-10-18T164737.sch"/>
   <!-- HeadAndFace -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.466-2016-10-19T115256.sch"/>
   <!-- HeadAndFaceObservations -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.467-2016-10-19T120215.sch"/>
   <!-- LossOfBlood -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.468-2016-10-19T131126.sch"/>
   <!-- LossOfLiquor -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.469-2016-10-19T132924.sch"/>
   <!-- PainLocation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.470-2016-10-19T135153.sch"/>
   <!-- Wound -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.471-2016-10-19T143037.sch"/>
   <!-- NeckThroatCWK -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.472-2016-10-19T150826.sch"/>
   <!-- NeckThroatCWKObservations -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.473-2016-10-19T154549.sch"/>
   <!-- Thorax -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.474-2016-10-19T163102.sch"/>
   <!-- ThoraxObservations -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.475-2016-10-19T164229.sch"/>
   <!-- PainByCompression -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.476-2016-10-19T165448.sch"/>
   <!-- SubcutaanEmphysemaLocation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.477-2016-10-19T171259.sch"/>
   <!-- Swelling-OedemaLocation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.478-2016-10-19T172253.sch"/>
   <!-- Back -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.479-2016-11-07T161255.sch"/>
   <!-- BackObservations -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.480-2016-11-07T162354.sch"/>
   <!-- Abdomen -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.481-2016-11-08T123630.sch"/>
   <!-- AbdomenObservations -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.482-2016-11-08T125231.sch"/>
   <!-- AbdomenLocation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.484-2016-11-08T143907.sch"/>
   <!-- PulsatingSwellingLocation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.485-2016-11-08T151534.sch"/>
   <!-- Pelvis -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.486-2016-11-08T160438.sch"/>
   <!-- PelvisObservations -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.487-2016-11-08T161559.sch"/>
   <!-- ArmsExtremity -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.488-2016-11-08T165311.sch"/>
   <!-- ArmsExtremityObservations -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.489-2016-11-08T171154.sch"/>
   <!-- LegsExtremity -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.490-2016-11-09T131839.sch"/>
   <!-- LegsExtremityObservations -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.491-2016-11-09T133039.sch"/>
   <!-- Excretion -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.492-2016-11-09T161009.sch"/>
   <!-- ExcretionObservations -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.493-2016-11-09T161600.sch"/>
   <!-- Vormiting -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.494-2016-11-09T163509.sch"/>
   <!-- Incontinent -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.495-2016-11-09T164700.sch"/>
   <!-- Obstetrics -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.496-2016-11-09T173232.sch"/>
   <!-- ObstetricsObservations -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.497-2016-11-09T174447.sch"/>
   <!-- AmnioticFluidLeaking -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.498-2016-11-09T182839.sch"/>
   <!-- Contractions -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.499-2016-11-09T185619.sch"/>
   <!-- PlannedPickUpTime -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.9002-2017-02-08T173011.sch"/>
   <!-- GPInformed -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.9003-2017-02-09T134124.sch"/>
   <!-- AgreementsWithPatient -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.9004-2017-02-09T143001.sch"/>
   <!-- DefibrillationEnergie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.9005-2017-02-09T163847.sch"/>
   <!-- Insurance -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.9006-2017-04-11T172205.sch"/>
   <!-- InsuranceValid -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.9007-2017-07-18T175138.sch"/>
   <!-- AmbulanceExpectedAtPatientTime -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.9023-2020-12-10T101559.sch"/>
   <!-- Trombolysis -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.9026-2021-02-16T133958.sch"/>
   <!-- StartInvoluntaryCare -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.9027-2021-02-18T091714.sch"/>
   <!-- ArmSingleExtremity -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.9028-2021-02-22T104038.sch"/>
   <!-- Laterality -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.9029-2021-02-22T104734.sch"/>
   <!-- LegSingleExtremity -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.9030-2021-02-22T112246.sch"/>
   <!-- kezo-Note -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.66.10.221-2015-06-01T000000.sch"/>
</schema>
